
jQuery(document).ready(function($){
	jQuery("body").append('<!-- BEGIN #color-select --><div id="color-select"><div id="picker"></div><div id="icon-brush"></div>'+
	
	'<a href="javascript:void(0);" class="color-changer"><span class="color-picker" style="background:#b51b14;" data-target="scheme">&nbsp;</span><b>配色方案</b><span>自定义配色主题</span></a>'+
	
	'<a href="javascript:void(0);" class="color-changer"><span class="color-picker" style="background:#f0f0f0;" data-target="second-menu">&nbsp;</span><b>菜单颜色</b><span>菜单背景颜色</span></a>'+
	
	'<a href="javascript:void(0);" class="color-changer"><span class="color-picker" style="background:#b51b14;" data-target="links">&nbsp;</span><b>链接颜色</b><span>超链接的颜色</span></a>'+
	
	'<!-- END #color-select --></div>');
	
	$('.color-changer').iris({
		hide: true,
		width: 180,
		change: function(event, ui) {
			$(this).children().eq(0).css('background-color', ui.color.toString());
			var color = ui.color.toString();
			
			if($(this).children()[0].getAttribute('data-target') == "scheme"){
				jQuery(".menu, .menu ul, .menu ul.ul-main-menu > li, .footline, .gallery-slider-navigation li.active > a").css("background-color",color);
			}else
			if($(this).children()[0].getAttribute('data-target') == "second-menu"){
				jQuery(".secondary-menu").css("background-color",color);
			}else
			if($(this).children()[0].getAttribute('data-target') == "links"){
				jQuery(".content a:hover, .panel .panel-right-top a, .panel .icon-link, .panel .panel-big-button, .comment-count, .main-block .panel-right-top a, .panel-block .panel-big-button, .tha-content .article-title a.article-icon:hover, .tha-content .article-title .article-icon a:hover, .gallery-blocks-full .icon-link, .photo-gallery-single-description .photo-gallery-top-right a").css("color",color);
			}else
			if($(this).children()[0].getAttribute('data-target') == "background"){
				jQuery("body").css("background-color",color);
			}
			
		}
	});
	
	$(".color-changer").click(function (){
		$(this).iris('toggle');
	});
	
	$(".color-changer").mouseover(function (){
		if($(this).children()[0].getAttribute('data-target') == "scheme"){
			jQuery(".menu, .menu ul, .menu ul.ul-main-menu > li, .footline, .gallery-slider-navigation li.active > a").css("outline","rgba(0,0,0,0.6) dotted 4px");
		}else
		if($(this).children()[0].getAttribute('data-target') == "second-menu"){
				jQuery(".secondary-menu").css("outline","rgba(0,0,0,0.6) dotted 4px").css("position","relative").css("z-index","12");
		}else
		if($(this).children()[0].getAttribute('data-target') == "links"){
			jQuery(".content a:hover, .panel .panel-right-top a, .panel .icon-link, .panel .panel-big-button, .comment-count, .main-block .panel-right-top a, .panel-block .panel-big-button, .tha-content .article-title a.article-icon:hover, .tha-content .article-title .article-icon a:hover, .gallery-blocks-full .icon-link, .photo-gallery-single-description .photo-gallery-top-right a").css("outline","rgba(0,0,0,0.6) dotted 4px");
		}
	}).mouseout(function (){
		if($(this).children()[0].getAttribute('data-target') == "scheme"){
			jQuery(".menu, .menu ul, .menu ul.ul-main-menu > li, .footline, .gallery-slider-navigation li.active > a").css("outline","none");
		}else
		if($(this).children()[0].getAttribute('data-target') == "second-menu"){
				jQuery(".secondary-menu").css("outline","none").css("position","static");
		}else
		if($(this).children()[0].getAttribute('data-target') == "links"){
			jQuery(".content a:hover, .panel .panel-right-top a, .panel .icon-link, .panel .panel-big-button, .comment-count, .main-block .panel-right-top a, .panel-block .panel-big-button, .tha-content .article-title a.article-icon:hover, .tha-content .article-title .article-icon a:hover, .gallery-blocks-full .icon-link, .photo-gallery-single-description .photo-gallery-top-right a").css("outline","none");
		}
	});
	
	jQuery("#icon-brush").click(function(){
		if(jQuery(this).parent().attr('class') == "active"){
			jQuery(this).parent().attr("class","");
			jQuery(".farbtastic").hide();
		}else{
			jQuery(this).parent().attr("class","active");
		}
	});
});