var second_slider_autostart = true;
var second_slider_interval = 4;

jQuery(document).ready(function() {
	jQuery("ol.tab-navi li a").click(function() {
		var clicked = jQuery(this);
		var clickedSlide = clicked.attr("rel");
		clicked.parent().parent().children("li").each(function() {
			jQuery(this).removeClass("active");
		});
			
		clicked.parent().parent().parent().children("div.tab-content").children("div").each(function(index) {
			jQuery(this).fadeOut(400);
		});	

		clicked.parent().addClass("active");
		clicked.parent().parent().parent().children(".tab-content").children(".tab-"+clickedSlide).delay(400).fadeIn(400);
	});

	jQuery(".setborder").wrap('<span class="wrapimg" style="display:inline-block;position:relative;"></span>');
	jQuery(".setborder").not(".inverted-border").before('<font style="display:block;position:absolute;top:0px;left:0px;z-index:3;box-shadow:inset 0px 0px 0px 1px rgba(0,0,0,0.2);width:100%;height:100%;"></font>');
	jQuery(".setborder.inverted-border").before('<font style="display:block;position:absolute;top:0px;left:0px;z-index:3;box-shadow:inset 0px 0px 0px 1px rgba(255,255,255,0.14);width:100%;height:100%;"></font>');
	
	jQuery(".switchpanel").click(function (){
		var goPage = (jQuery(this).attr("href")).split("#");
		jQuery(this).parent().parent().hide();
		jQuery(this).parent().parent().parent().children().eq(0).html(jQuery(this).attr("title"));
		jQuery("."+goPage[1]).fadeIn("fast");
		return false;
	});
	
	var second_slider_current = 1;
	
	if(second_slider_autostart){
		setInterval(function (){
			if(second_slider_autostart == false)return false;
			var slider_images_size = jQuery(".slider-image > a").size();
			var next_slide_var = (second_slider_current+1 <= slider_images_size)?second_slider_current+1:1;
			second_slider_current = next_slide_var;
			var slider_links_size = jQuery(".slider-navigation > li").size();
			var slider_this = next_slide_var;
			jQuery(".slider-navigation > li").removeClass("active");
			jQuery(".slider-navigation > li").eq((slider_this-1)).attr("class", "active");
			jQuery(".slider-image > a").removeClass("active");
			jQuery(".slider-image > a").eq((slider_this-1)).addClass("active");
		},(second_slider_interval*1000));
	}
	
	jQuery(".slider-navigation a").click(function (){
		var slider_images_size = jQuery(".slider-image > a").size();
		var slider_links_size = jQuery(".slider-navigation > li").size();
		var slider_this = jQuery(this).attr("data-target");
		jQuery(".slider-navigation > li").removeClass("active");
		jQuery(this).parent().attr("class", "active");
		jQuery(".slider-image > a").removeClass("active");
		jQuery(".slider-image > a").eq((slider_this-1)).addClass("active");
		second_slider_autostart = false;
		return false;
	});
	
	var gallery_leStart = 114;
	var gallery_leJump = 364;
	var gallery_current = 1;
	
	jQuery(".gallery-slider-navigation li a").click(function (){
		var gallery_leJump = parseInt(jQuery(this).parent().parent().parent().children(".gallery-slider").attr("rel"));
		jQuery(".gallery-slider-navigation > li").removeClass("active");
		jQuery("ol.gallery-desc-list > li").removeClass("active");
		jQuery(this).parent().addClass("active");
		var thisitem = jQuery(this).attr("data-target");
		var goitem = gallery_leStart-((thisitem-1)*gallery_leJump);
		jQuery("ol.gallery-slider").css("left", goitem);
		
		gallery_current = thisitem;
		
		jQuery("ol.gallery-desc-list > li").eq(gallery_current-1).addClass("active");
		checkGalleriesSwitch();
		return false;
	});
	
	jQuery(".gallery-fade-right").click(function (){
		var gallery_leJump = parseInt(jQuery(this).parent().children(".gallery-slider").attr("rel"));
		var thecount = jQuery(this).parent().children("ol.gallery-slider").children("li").size();
		if(thecount <= gallery_current){return false;}
		var leleft = parseInt(jQuery(this).parent().children("ol.gallery-slider").css("left"));
		jQuery(this).parent().children("ol.gallery-slider").css("left", leleft-gallery_leJump);
		jQuery("ol.gallery-desc-list > li").removeClass("active");
		jQuery("ol.gallery-slider-navigation > li").removeClass("active");
		gallery_current++;
		jQuery("ol.gallery-desc-list > li").eq(gallery_current-1).addClass("active");
		jQuery("ol.gallery-slider-navigation > li").eq(gallery_current-1).addClass("active");
		checkGalleriesSwitch(thecount);
		return false;
	});
	
	jQuery(".gallery-fade-left").click(function (){
		var gallery_leJump = parseInt(jQuery(this).parent().children(".gallery-slider").attr("rel"));
		if(1 >= gallery_current){return false;}
		var leleft = parseInt(jQuery(this).parent().children("ol.gallery-slider").css("left"));
		jQuery(this).parent().children("ol.gallery-slider").css("left", leleft+gallery_leJump);
		jQuery("ol.gallery-desc-list > li").removeClass("active");
		jQuery("ol.gallery-slider-navigation > li").removeClass("active");
		gallery_current--;
		jQuery("ol.gallery-desc-list > li").eq(gallery_current-1).addClass("active");
		jQuery("ol.gallery-slider-navigation > li").eq(gallery_current-1).addClass("active");
		checkGalleriesSwitch();
		return false;
	});
	
	function checkGalleriesSwitch(thecount){
		//var thecount = jQuery("ol.gallery-slider li").size();
		if(thecount <= gallery_current){
			jQuery(".gallery-fade-right").addClass("this-inactive");
		}else{
			jQuery(".gallery-fade-right").removeClass("this-inactive");
		}
		
		if(1 >= gallery_current){
			jQuery(".gallery-fade-left").addClass("this-inactive");
		}else{
			jQuery(".gallery-fade-left").removeClass("this-inactive");
		}
	}
	
	jQuery(".tha-content .youtube-video a").click(function (){
		var videoID = jQuery(this).attr("href").split("#");
		var videoWidth = parseInt(jQuery(this).parent().parent().css("width"));
		var videoHeight = Math.ceil(videoWidth*(0.56)+1);
		
		jQuery(this).hide();
		jQuery(this).parent().append('<iframe width="'+videoWidth+'" height="'+videoHeight+'" src="http://www.youtube.com/embed/'+(videoID[1])+'?rel=0&autoplay=1" frameborder="0" allowfullscreen></iframe>');
		return false;
	});
	
	//var carouselElements = jQuery(".photo-gallery-single-photos ol > li").size();
	//jQuery(".photo-gallery-single-photos ol").css("width", (carouselElements*127)+"px");
	
	checkGalleriesSwitch();
	
	startTimer();
	
	jQuery(".lightbox").click(function () {
		jQuery("body").css('overflow', 'auto');
		jQuery(".lightbox .lightcontent").fadeOut('fast');
		jQuery(".lightbox").fadeOut('slow');
    }).children().click(function(e) {
		return false;
	});
	
	jQuery(".gallery-navi-left").click(function (){
		carousel('left');
		return false;
	});
	
	jQuery(".gallery-navi-right").click(function (){
		carousel('right');
		return false;
	});
	
});


function lightboxclose(){
	jQuery(".lightbox .lightcontent").fadeOut('fast');
	jQuery(".lightbox").fadeOut('slow');
	jQuery("body").css('overflow', 'auto');
}

var carouselSize = 0;
var carouselCurrent = 0;

function carousel(direction){
	var carouselElements = jQuery(".photo-gallery-single-photos ol > li").size();
	carouselSize = parseInt(jQuery(".photo-gallery-single-photos .frame").css('width'))+13;
	if(carouselElements <= 7)return;
	var carouselCurrentTemp = Math.ceil(carouselElements/(7));
	
	if(direction == "right"){
		if(carouselCurrent+1 >= carouselCurrentTemp){
			carouselCurrent=0;
			jQuery(".photo-gallery-single-photos ol").css("left","0px");
		}else{
			carouselCurrent++;
			jQuery(".photo-gallery-single-photos ol").css("left",carouselCurrent*carouselSize*(-1)+'px');
		}
	}else
	if(direction == "left"){
		if(carouselCurrent <= 0){
			carouselCurrent=carouselCurrentTemp-1;
			jQuery(".photo-gallery-single-photos ol").css("left",carouselCurrent*carouselSize*(-1)+"px");
		}else{
			carouselCurrent--;
			jQuery(".photo-gallery-single-photos ol").css("left",carouselCurrent*carouselSize*(-1)+'px');
		}
	}
}

function startTimer(){
	setInterval(function(){
	jQuery(".countdown-text").each(function (){
		var currentTime = jQuery(this).attr("rel");
		var seconds = new Date().getTime() / 1000;
		var seconds = Math.floor(seconds);
		if(currentTime > seconds){
			jQuery(this).html(secondsToHms(currentTime-seconds));
		}else{
			jQuery(this).css("color", "#e62d24");
			jQuery(this).html("00:00:00:00");
		}
	})}, 1000);
}

function addZero(number){
	if(number.toString().length == 1){
		return "0"+number;
	}else{
		return number;
	}
}

function secondsToHms(d) {
	d = Number(d);
	var h = Math.floor(d / 3600);
	var days = addZero(Math.floor(h / (24)));
	var h = addZero(Math.floor((d / 3600)-(days*24)));
	var m = addZero(Math.floor(d % 3600 / 60));
	var s = addZero(Math.floor(d % 3600 % 60));
	return days+":"+h+":"+m+":"+s;
}

function changeSlider(){
	
}



// IE7 & IE8 Fix


jQuery(document).ready(function() {
	jQuery(":last-child").addClass('last-child');
	jQuery(":first-child").addClass('first-child');
	jQuery(".content .tilebox .smalltileholder .smalltile").eq(1).addClass('nth2');
	jQuery(".content .tilebox .smalltileholder .smalltile").eq(2).addClass('nth3');
});


